--
-- Create the needed tables for oacsrocks mashups

-- TABLE: oacsrocks_mashups_portlets
-- Contains all the portlets to display on mashups
-----------------------------------------------------------------



create table oacsrocks_mashups_portlets (
     portlet_id     serial
                    primary key,
     portlet_name   text,
     max_lines      integer,
     simple_p       boolean default true
);



-- TABLE: mashups_feeds
-- Contains all the data concerning with the news aggregator data
------------------------------------------------------------------

create table mashups_feeds (
    feed_id       integer
                  references na_aggregators(aggregator_id)                  
                  on delete cascade,
    feed_name     varchar(100),
    mashup_id     integer
                  references oacsrocks_mashups_portlets(portlet_id)
                  on delete cascade
);

create table simple_portlet_headers (
   portlet_id   integer
                references oacsrocks_mashups_portlets(portlet_id)
                on delete cascade,
   item_id      serial primary key,
   name         text,
   image_name   text

);

create table simple_portlets (
   link_id      serial primary key,
   item_id      integer
                references simple_portlet_headers(item_id)
                on delete cascade,
   scr_link	text,
   demo_link    text
);

\i oacsrocks-mashups-inserts.sql
\i demo-links-mashups.sql