ad_library {

    Library for OACROCKS MashUps: News aggregator feeds


    @author Veronica De La Cruz (veronica@viaro.net)
    @creation-date 2006-12-11
}

namespace eval oacsrocks_mashups::na::update_source {}

ad_proc -public oacsrocks_mashups::na::update_source {
    {-aggregator_id:required}
    	
} {
      Updates the source for a given aggregator. 
      Returns 1 if the update was succesfull.

      @author veronica@viaro.net
} {
     #Gets the source_id, feed_url and last_modified for the aggregator.
     db_1row get_source_info { *SQL* }
     
     set return_value [news_aggregator::source::update -source_id $source_id \
			                               -feed_url $feed_url  \
                                                       -modified $last_modified]

     return $return_value	
}

ad_proc -public oacsrocks_mashups::add_feed {
    {-feed_id:required}
    {-feed_name:required}
    {-mashup_id:required}
} {
    Adds a new feed from the news aggregator.
} {
    db_dml insert_new_feed {}
}


ad_proc -public oacsrocks_mashups::add_portlet {
    {-portlet_name:required}
    {-max_lines "5"}
    
} {
    Adds a new portlet. Returns the portlet id.
} {
    set portlet_id [db_nextval oacsrocks_mashups_portlets_portlet_id_seq]
    db_dml insert_new_portlet {}
  return $portlet_id
}


ad_proc -public oacsrocks_mashups::edit_portlet {
    {-portlet_id:required}
    {-portlet_name:required}
    {-max_lines ""}
    
} {
    Edits portlet.
} {
    
    set exists_name ""
    set exists_max_lines ""
    db_0or1row get_portlet_info {}
    
    if { $portlet_name == "" } {
       set portlet_name $exists_name
    }
  
    if { $max_lines == "" } {
       set max_lines $exists_max_lines
    }

    db_dml update_portlet { *SQL* }
  
}

ad_proc -public oacsrocks_mashups::delete_portlet {
    {-portlet_id:required}
        
} {
    Deletes a given portlet. 
} {
    
    db_dml delete_portlet { *SQL* }
  
}

