ad_library {

    Library for OACROCKS MashUps: Simple portlets procs


    @author Veronica De La Cruz (veronica@viaro.net)
    @creation-date 2007-01-18
}


ad_proc -public oacsrocks_mashups::add_simple_portlet_items {
    {-portlet_id:required}
    {-name:required}
    {-image_name:required}
} {
     Adds items to a simple portlet
} {
    set item_id [db_nextval simple_portlet_headers_item_id_seq]
    db_dml insert_new_item { *SQL* } 
    return $item_id
}

ad_proc -public oacsrocks_mashups::edit_simple_portlet_items {
    {-item_id:required}
    {-name ""}
    {-image_name ""}
} {
     Edits items to a simple portlet
} {
    set i_name ""
    set i_image ""
    db_0or1row get_this_item_info { *SQL* }
    
    if {[empty_string_p $name]} {
      set name $i_name
    }

    if {[empty_string_p $image_name]} {
      set image_name $i_image
    }

    db_dml edit_item { *SQL* } 
}


ad_proc -public oacsrocks_mashups::delete_simple_portlet_items {
    {-item_id:required}
    
} {
     Deletes items from a simple portlet
} {
    
     db_dml delete_item { *SQL* } 
}


ad_proc -public oacsrocks_mashups::add_simple_portlet_items_links {
    {-item_id:required}
    {-scr_link ""}
    {-demo_link ""}
} {
     Adds items links to a simple portlet
} {
    set link_id [db_nextval simple_portlets_link_id_seq]
    db_dml insert_new_link { *SQL* }
    return $link_id 
}

ad_proc -public oacsrocks_mashups::edit_simple_portlet_items_links {
    {-link_id:required}
    {-link_url:required}
    {-type "0"}
} {
     Adds items links to a simple portlet
} {
    set link_id [db_nextval simple_portlets_link_id_seq]
    set scr_link ""
    set demo_link ""
    if { $type == "0" } {set scr_link $link_url}
    if { $type == "1" }   {set demo_link $link_url}
    db_dml edit_link { *SQL* } 
}


ad_proc -public oacsrocks_mashups::delete_simple_portlet_items_links {
    {-link_id:required}
    
} {
     Deletes items links from a simple portlet
} {
    
     db_dml delete_item_link { *SQL* } 
}
