ad_page_contract {

} {
    
}

set package_id [apm_package_id_from_key "news-aggregator"]
set package_url "/na/"
set url "$package_url$aggregator_id/"
set user_id [ad_conn user_id]

set purge_p 0
set enable_purge_p 0
set top 0
set bottom 1073741824
set counter 0
set limit 7

# We only handle purges if the aggregator is not public
if { $purge_p } {
#    set items_purges [db_map items_purges]
    set purges [db_list_of_lists purges ""]
    set saved_items [db_list saved_items ""]
} else {
#    set items_purges ""
    set purges [list]
    set saved_items [list]
}

# updates all sources from aggregator


#set updated [oacsrocks_mashups::na::update_source -aggregator_id $aggregator_id]

set items_query [news_aggregator::aggregator::items_sql \
                      -aggregator_id $aggregator_id \
                      -package_id $package_id \
		      -purge_p $purge_p]


db_multirow -extend { 
    content 
    diff
    source_url 
    save_url 
    unsave_url 
    item_blog_url 
    technorati_url
    item_guid_link
    chunk_updated
    pub_datestamp
    pub_timestamp
    pub_time_pretty
    inner_sort_col
} items items $items_query {
    if { $enable_purge_p } {
        # Top is the first item
        if { $item_id > $top } {
            set top $item_id
        }
        
        set purged_p 0
        # Handle purged items
        foreach purge $purges {
            if { $item_id <= [lindex $purge 0] && $item_id >= [lindex $purge 1] &&
             [lsearch $saved_items $item_id] == "-1" } {
            set purged_p 1
        }
        }
        if { $purged_p } {
            continue
        }
    }

    if { [exists_and_not_null content_encoded] } {
	set content $content_encoded
    } else {
        set text_only [util_remove_html_tags $item_description]
	set content $item_description
    }
    
    if { $item_permalink_p == "t" } {
        set item_guid_link $item_original_guid
    } else {
        set item_guid_link $item_link
    }

    set item_title [string_truncate -len 80 -- $item_title]
    set source_url [export_vars -base source {source_id}]
    set technorati_url "http://www.technorati.com/cosmos/links.html?url=$link&sub=Get+Link+Cosmos"

    set pub_timestamp [clock scan $pub_date_time]
    set pub_datestamp [clock scan [clock format $pub_timestamp -format "%Y-%m-%d 00:00:00"]]
    set inner_sort_col "${pub_datestamp},${source_id}"
    set chunk_updated [news_aggregator::chunk_updated [expr [expr [clock seconds] - $pub_datestamp] / 60]]

    if { $pub_datestamp > [clock scan "2 days ago" -gmt 1] } {
        set pub_time_pretty [clock format $pub_timestamp -format "%I:%M %p"]
    } else {
        set pub_time_pretty [clock format $pub_timestamp -format "%d %b %Y %I:%M %p"]
    } 
        
    if { [lsearch $saved_items $item_id] == "-1" } {
	set save_url [export_vars -base "${url}item-save" {item_id}]
	set unsave_url ""
    } else {
	set unsave_url [export_vars -base "${url}item-unsave" {item_id}]
	set save_url ""
    }
    set item_blog_url [export_vars -base "${url}item-blog" {item_id}]

    if { $item_id < $bottom } {
	set bottom $item_id
    }

    incr counter
    if { $counter > $limit } {
	break
    }
}
